<?php
include("../db.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $nombre    = mysqli_real_escape_string($conexion, $_POST['nombre']);
    $categoria = mysqli_real_escape_string($conexion, $_POST['categoria']);
    $precio    = (float)$_POST['precio'];
    $stock     = (int)$_POST['stock'];
    $activo    = 1;
    
    $nombre_original_img = $_FILES['imagen']['name'];
    $origen_temporal     = $_FILES['imagen']['tmp_name'];
    
    $nombre_final_img = time() . "_" . basename($nombre_original_img);
    $carpeta_destino  = "../img/" . $nombre_final_img;
    $ruta_para_bd     = "img/" . $nombre_final_img;

    if (move_uploaded_file($origen_temporal, $carpeta_destino)) {
        
        $query_insertar = "INSERT INTO productos (nombre, precio, categoria, imagen, activo, stock) 
                           VALUES ('$nombre', $precio, '$categoria', '$ruta_para_bd', $activo, $stock)";
        
        if (mysqli_query($conexion, $query_insertar)) {
            header("Location: inventario.php?status=ok_manual");
        } else {
            header("Location: inventario.php?status=error");
        }
    } else {
        header("Location: inventario.php?status=error");
    }
    exit();
}
?>